###
# ~~~~~~licensing~~~~~~
# karaf-features
# ==========
# Copyright (C) 2020 - 2021 EmDev LLC
# ==========
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~~~~/licensing~~~~~~
###
# Справочник содержит соответствие имён классов исключений и http кодов ошибок.
# И будет наполняться по мере использования шины в разных ситуациях.
# Для исключения, имя которого ещё не указано в этом файле,
# будет возвращаться http код 520 (Unknown Error).
# согласование кодов ошибок происходит в https://docs.google.com/spreadsheets/d/1rvRyiSN-khuuRSJenwP5g7Q-ilbctOGCFgDfdM-abEk/edit#gid=1202937725
DefaultException=520

com.ctc.wstx.exc.WstxParsingException=400

java.lang.NullPointerException=418
java.security.AccessControlException=403

org.apache.cxf.interceptor.security.AuthenticationException=401
javax.ws.rs.ForbiddenException=403

org.apache.camel.language.bean.RuntimeBeanExpressionException=500

ConnectorNotFound=424
ru.entaxy.esb.system.common.exception.DefaultException=520
ProfileNotFound=424

java.io.FileNotFoundException=404
